Example 3. Add aligned dimension using AutoCAD VBA

Submitted by techrev on Sun, 04/30/2017 - 07:25
autocad automation

This article/example is a part of Autocad vba automation series

Previous tutorials :

Example 1 : http://www.computeraidedautomation.com/article/autocad-vba-drawing-automation

Example 2 : http://www.computeraidedautomation.com/article/insert-text-autocad-drawing-using-vba

autocad automation

AutoCAD Automation - add dimensions

Example 3 VBA Code

Sub module1()

On Error Resume Next   'bypass run time errors

' This example creates an aligned dimension in model space.

    Dim dimObj As AcadDimAligned

    Dim point1(0 To 2) As Double

    Dim point2(0 To 2) As Double

    Dim location(0 To 2) As Double

    ' Define the dimension

    point1(0) = 5#: point1(1) = 5#: point1(2) = 0#

    point2(0) = 10#: point2(1) = 5#: point2(2) = 0#

    location(0) = 5#: location(1) = 7#: location(2) = 0#

    ' Create an aligned dimension object in model space

    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)

    ZoomAll

End Sub

Tags